{
  "name": "Administracion de Nodos",
  "body": [
    {
      "componente": "GenericForm",
      "submitFunction": "quo/Engine?paquete=std&clase=Std&metodo=$(metodoUrl)&data=&parametros=$(parametros)",
      "url": "quo/Engine?paquete=std&clase=Std&metodo=$(metodo)&data=&parametros=$(parametros)",
      "formData": {
        "metodo": "$(metodoUrl)",
        "parametros": {
          "tabla": "tnod",
          "tablaHijo": "",
          "campoId": "TNodId",
          "cabe": "[$(resultData)]"
        }
      },
      "cerrarAlConfirmarOK": true,
      "mensajeExitoso": "El nodo fue guardado exitosamente",
      "mensajeError": "No se pudo guardar el nodo",
      "fields": [
        {
          "visible": false,
          "esId": true,
          "name": "TNodId",
          "disabled": false,
          "label": "Identificador",
          "type": "number"
        },
        {
          "multiselect": false,
          "visible": true,
          "name": "TPrcId",
          "tabla": "tprc",
          "disabled": false,
          "label": "Proceso",
          "validations": { "required": "El campo Proceso es requerido" },
          "text": "TPrcNom",
          "id": "TPrcId",
          "type": "supercombobox"
        },
        {
          "visible": true,
          "name": "TNodNom",
          "disabled": false,
          "label": "Nombre",
          "validations": {
            "minLength": {
              "message": "El largo del valor ingresado debe ser mayor a 0",
              "value": 0
            },
            "maxLength": {
              "message": "El largo del valor ingresado debe ser menor a 50",
              "value": 50
            }
          },
          "type": "text"
        },
        {
          "visible": true,
          "name": "TNodTip",
          "disabled": false,
          "label": "Tipo",
          "tabla": "dmn",
          "id": "DmnAbr",
          "text": "DmnDet",
          "dominio": "TIPNOD",
          "type": "supercombobox",
          "validations": {
            "required": true
          }
        },
        {
          "name": "TNodFor",
          "disabled": false,
          "label": "Formula",
          "type": "text",
          "visible": "'$(TNodTip)' != 'RES'"
        },
        {
          "visible": true,
          "name": "TNodValRes",
          "disabled": false,
          "label": "Respuesta",
          "validations": {
            "minLength": {
              "message": "El largo del valor ingresado debe ser mayor a 0",
              "value": 0
            },
            "required": "El campo Respuesta es requerido"
          },
          "type": "text"
        }
      ]
    }
  ],
  "columnas": [
    {
      "visible": false,
      "esId": true,
      "name": "TNodId",
      "disabled": false,
      "label": "Identificador",
      "validations": {
        "minLength": {
          "message": "La cantidad de digitos debe ser mayor a 0",
          "value": 0
        },
        "required": "El campo Identificador es requerido",
        "maxLength": {
          "message": "La cantidad de digitos debe ser menor a 11",
          "value": 11
        }
      },
      "type": "number"
    },
    {
      "multiselect": false,
      "visible": true,
      "name": "TPrcId",
      "tabla": "tprc",
      "disabled": false,
      "label": "Proceso",
      "validations": { "required": "El campo Proceso es requerido" },
      "text": "TPrcNom",
      "id": "TPrcId",
      "type": "supercombobox"
    },
    {
      "visible": true,
      "name": "TNodNom",
      "disabled": false,
      "label": "Nombre",
      "validations": {
        "minLength": {
          "message": "El largo del valor ingresado debe ser mayor a 0",
          "value": 0
        },
        "maxLength": {
          "message": "El largo del valor ingresado debe ser menor a 50",
          "value": 50
        }
      },
      "type": "text"
    },
    {
      "visible": true,
      "name": "TNodTip",
      "disabled": false,
      "label": "Tipo",
      "tabla": "dmn",
      "id": "DmnAbr",
      "text": "DmnDet",
      "dominio": "TIPNOD",
      "type": "supercombobox",
      "validations": {
        "required": true
      }
    },
    {
      "visible": true,
      "name": "TNodFor",
      "disabled": false,
      "label": "Formula",
      "validations": {
        "minLength": {
          "message": "El largo del valor ingresado debe ser mayor a 0",
          "value": 0
        },
        "maxLength": {
          "message": "El largo del valor ingresado debe ser menor a 100",
          "value": 100
        }
      },
      "type": "text"
    },
    {
      "visible": true,
      "name": "TNodValRes",
      "disabled": false,
      "label": "Respuesta",
      "validations": {
        "minLength": {
          "message": "El largo del valor ingresado debe ser mayor a 0",
          "value": 0
        }
      },
      "type": "text"
    }
  ]
}
